Bug 1410207 - Utility command had better use INFO log level for the output?
Summary: Utility command had better use INFO log level for the output?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 18:45 UTC by Noriko Hosoi
Modified: 2020-09-13 21:54 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.6.1-11.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 21:12:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 2134 0 None None None 2020-09-13 21:54:53 UTC
Red Hat Product Errata RHBA-2017:2086 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2017-08-01 18:37:38 UTC

Description Noriko Hosoi 2017-01-04 18:45:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/49075

This is an example.  The dbverify utility uses the ERR level for the verbose mode output.  The word "ERR" may not be appropriate.
# dbverify -V
[02/Jan/2017:17:24:14.120315218 -0800] - ERR - dbverify_ext - /var/lib/dirsrv/slapd-test/db/userRoot/mail.db: ok
[02/Jan/2017:17:24:14.233058862 -0800] - ERR - dbverify_ext - /var/lib/dirsrv/slapd-test/db/userRoot/telephoneNumber.db: ok
[02/Jan/2017:17:24:14.286457810 -0800] - ERR - dbverify_ext - /var/lib/dirsrv/slapd-test/db/userRoot/cn.db: ok
....
[02/Jan/2017:17:24:15.154115725 -0800] - ERR - dbverify_ext - /var/lib/dirsrv/slapd-test/db/NetscapeRoot/aci.db: ok
DB verify: Passed

Replying to [comment:1 mreynolds]:
> I agree, and it looks like other tasks also use ERR instead of INFO.  This was such a large refactoring job that some of these slipped through the cracks.

Comment 1 mreynolds 2017-03-07 16:16:13 UTC
Fixed upstream

Comment 6 mreynolds 2017-05-04 14:02:03 UTC
Fixed upstream

Comment 8 Amita Sharma 2017-05-10 07:15:45 UTC
[root@qeos-196 yum.repos.d]# dbverify -V
[10/May/2017:03:14:36.883974640 -0400] - INFO - ldbm_instance_config_cachememsize_set - force a minimal value 512000
[10/May/2017:03:14:36.890412408 -0400] - INFO - ldbm_instance_config_cachememsize_set - force a minimal value 512000
[10/May/2017:03:14:36.898439456 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/id2entry.db: ok
[10/May/2017:03:14:36.899605597 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/entryrdn.db: ok
[10/May/2017:03:14:36.900189272 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/parentid.db: ok
[10/May/2017:03:14:36.900649057 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/nsuniqueid.db: ok
[10/May/2017:03:14:36.901061015 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/uniquemember.db: ok
[10/May/2017:03:14:36.901496414 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/objectclass.db: ok
[10/May/2017:03:14:36.901872796 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/cn.db: ok
[10/May/2017:03:14:36.902273435 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/aci.db: ok
[10/May/2017:03:14:36.902627612 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/numsubordinates.db: ok
[10/May/2017:03:14:36.903038245 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/userRoot/ancestorid.db: ok
[10/May/2017:03:14:36.903709142 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/id2entry.db: ok
[10/May/2017:03:14:36.904192054 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/entryrdn.db: ok
[10/May/2017:03:14:36.904568862 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/nsuniqueid.db: ok
[10/May/2017:03:14:36.904975459 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/objectclass.db: ok
[10/May/2017:03:14:36.905378634 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/aci.db: ok
[10/May/2017:03:14:36.906240036 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/ancestorid.db: ok
[10/May/2017:03:14:36.906597717 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/parentid.db: ok
[10/May/2017:03:14:36.907033752 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/numsubordinates.db: ok
[10/May/2017:03:14:36.918280617 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/cn.db: ok
[10/May/2017:03:14:36.918979805 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/uniquemember.db: ok
[10/May/2017:03:14:36.919424443 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/givenName.db: ok
[10/May/2017:03:14:36.920295215 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/uid.db: ok
[10/May/2017:03:14:36.920675740 -0400] - INFO - dbverify_ext - /var/lib/dirsrv/slapd-qeos-196/db/NetscapeRoot/sn.db: ok
DB verify: Passed

Hence Verified.

Comment 9 errata-xmlrpc 2017-08-01 21:12:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2086


Note You need to log in before you can comment on or make changes to this bug.